/* EStilo dos Botões */

.btn-principal {
    width: 15rem;
    height: 5rem;
}

.btn-new {
    width: 13rem;
    height: 3rem;
}
.btn-save {
    width: 6rem;
    height: 2rem;
    border-radius: 0.25rem;
    font-weight: bold;
}

.btn-tabela {
    width: 10rem;
    height: 2rem;
}

[class*="icon-"]{
    display: block;
}

[class*="icon-"]:before {
    content: "";
    display: block;
    width: 3rem;
    height: 3rem;
    background-repeat: no-repeat;
    background-size: contain;       
}

[class*="icon-mini"]:before {
    content: "";
    display: block;
    width: 1.2rem;
    height: 1.25rem;
    background-repeat: no-repeat;
    background-size: contain;       
}


.icon-people {
    float: left;
    padding: 2px;
    font-size: 5rem;   
    background-image: url("data:image/svg+xml,%3Csvg width='50' height='50' viewBox='0 0 75 75' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M41.2717 52.7344C48.3947 52.7344 54.169 47.4877 54.169 41.0156C54.169 34.5435 48.3947 29.2969 41.2717 29.2969C34.1486 29.2969 28.3743 34.5435 28.3743 41.0156C28.3743 47.4877 34.1486 52.7344 41.2717 52.7344Z' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M63.1973 33.9844C66.2015 33.9798 69.1654 34.6132 71.8525 35.8339C74.5396 37.0547 76.8756 38.8291 78.6741 41.0156' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M3.86926 41.0156C5.6678 38.8291 8.00378 37.0547 10.6909 35.8339C13.378 34.6132 16.3419 33.9798 19.3461 33.9844' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M22.6996 63.2812C24.3982 60.1204 27.0398 57.4565 30.3234 55.5932C33.6069 53.7298 37.4005 52.7419 41.2718 52.7419C45.1432 52.7419 48.9367 53.7298 52.2203 55.5932C55.5038 57.4565 58.1454 60.1204 59.8441 63.2812' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M19.3461 33.9844C17.3878 33.9862 15.4693 33.4816 13.8149 32.5295C12.1604 31.5774 10.8384 30.2172 10.0032 28.6078C9.16795 26.9983 8.85407 25.2062 9.09819 23.4407C9.34231 21.6752 10.1344 20.0093 11.3818 18.6376C12.6292 17.266 14.2805 16.2452 16.1427 15.6945C18.0049 15.1439 20.0012 15.0862 21.8981 15.5281C23.7951 15.97 25.5145 16.8933 26.8554 18.1902C28.1963 19.487 29.1033 21.1037 29.4705 22.8516' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M53.0726 22.8516C53.4398 21.1037 54.3469 19.487 55.6878 18.1902C57.0287 16.8933 58.7481 15.97 60.645 15.5281C62.542 15.0862 64.5382 15.1439 66.4004 15.6945C68.2626 16.2452 69.9139 17.266 71.1614 18.6376C72.4088 20.0093 73.2009 21.6752 73.445 23.4407C73.6891 25.2062 73.3752 26.9983 72.54 28.6078C71.7048 30.2172 70.3827 31.5774 68.7283 32.5295C67.0739 33.4816 65.1554 33.9862 63.1971 33.9844' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
}    
.icon-process {
    float: left;
    padding: 2px;
    font-size: 5rem;   
    background-image: url("data:image/svg+xml,%3Csvg width='50' height='50' viewBox='0 0 75 75' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9.375 60.9375V18.75C9.375 18.1284 9.62193 17.5323 10.0615 17.0927C10.501 16.6532 11.0971 16.4062 11.7188 16.4062H27.334C27.8408 16.4083 28.3336 16.5726 28.7402 16.875L36.8848 22.9688C37.2914 23.2711 37.7842 23.4354 38.291 23.4375H58.5938C59.2154 23.4375 59.8115 23.6844 60.251 24.124C60.6906 24.5635 60.9375 25.1596 60.9375 25.7812V32.8125' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M9.375 60.9375L18.2227 34.4238C18.3769 33.955 18.6752 33.5469 19.075 33.2575C19.4748 32.9682 19.9557 32.8125 20.4492 32.8125H67.0605C67.4312 32.8125 67.7965 32.9003 68.1266 33.0689C68.4566 33.2374 68.742 33.4818 68.9593 33.782C69.1766 34.0822 69.3196 34.4297 69.3766 34.7959C69.4336 35.1621 69.4029 35.5366 69.2871 35.8887L60.9375 60.9375H9.375Z' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
}
.icon-mini-pencil {
    float: right;
    padding: 2px;
    font-size: 5rem;
    background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9.00001 20.25H4.5C4.30109 20.25 4.11033 20.171 3.96967 20.0304C3.82902 19.8897 3.75 19.699 3.75 19.5V15.3094C3.74966 15.212 3.76853 15.1155 3.80553 15.0254C3.84253 14.9354 3.89694 14.8534 3.96563 14.7844L15.2156 3.53441C15.2854 3.46355 15.3686 3.40728 15.4603 3.36886C15.5521 3.33045 15.6505 3.31067 15.75 3.31067C15.8495 3.31067 15.9479 3.33045 16.0397 3.36886C16.1314 3.40728 16.2146 3.46355 16.2844 3.53441L20.4656 7.71566C20.5365 7.78545 20.5928 7.86864 20.6312 7.96038C20.6696 8.05212 20.6894 8.15058 20.6894 8.25004C20.6894 8.3495 20.6696 8.44796 20.6312 8.5397C20.5928 8.63144 20.5365 8.71463 20.4656 8.78441L9.00001 20.25Z' stroke='%2336C41F' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M20.25 20.25H9' stroke='%2336C41F' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M12.75 6L18 11.25' stroke='%2336C41F' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
}    

.title {
    font-size: 1.2rem;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-weight: bold;
}

/* Botão iiep */
.btn-iiep{
    color:#fff;
    background-color:#00006C;
    border-color:#00006C;
}

.btn-iiep:hover{
    color:#fff;
    background-color:#105482;
    border-color:#105482;
}

.btn-check:focus+.btn-iiep,.btn-iiep:focus{
    color:#fff;
    background-color:#105482;
    border-color:#105482;
    box-shadow:0 0 0 .25rem rgba(49,132,253,.5);
}

.btn-check:active+.btn-iiep,.btn-check:checked+.btn-iiep,.btn-iiep.active,
.btn-iiep:active,.show>.btn-iiep.dropdown-toggle{
    color:#fff;
    background-color:#0a58ca;
    border-color:#0a53be;
}

.btn-check:active+.btn-iiep:focus,.btn-check:checked+.btn-iiep:focus,.btn-iiep.active:focus,
.btn-iiep:active:focus,.show>.btn-iiep.dropdown-toggle:focus{
    box-shadow:0 0 0 .25rem rgba(49,132,253,.5)
}

.btn-iiep.disabled,.btn-iiep:disabled{
    color:#fff;
    background-color:#105482;
    border-color:#0d6efd;
}

/*btn edition */
.btn-edition {
    color:#36C31F;
    /*background-color:#fff; */
    border: 1px solid #198D06;
    width: 10rem;
    height: 2rem;
    border-radius: 2rem; 
}

.btn-edition {
    width: 10rem;
    height: 2rem;
    border-radius: 2rem;
    border: 1px solid #36C31F;
    color: #36C31F;
} 

.btn-edition:hover{
    color:#fff;
    background-color:#36C31F;
    border-color:#36C31F;
}

.btn-edition .icon-mini-pencil2:hover svg{
    color:#fff;
    border-color:#36C31F;
}

.btn-check:focus+.btn-edition,.btn-edition:focus{
    color:#fff;
    background-color:#36C31F;
    border-color:#198D06;
    box-shadow:0 0 0 .25rem rgba(38, 95, 38, .5);
}

.btn-check:active+.btn-edition,.btn-check:checked+.btn-edition,.btn-edition.active,
.btn-edition:active,.show>.btn-edition.dropdown-toggle{
    color:#fff;background-color:#198D06;border-color:#2AFF07
}

.btn-check:active+.btn-edition:focus,.btn-check:checked+.btn-edition:focus,.btn-edition.active:focus,
.btn-edition:active:focus,.show>.btn-edition.dropdown-toggle:focus{
    box-shadow:0 0 0 .25rem rgba(38, 95, 38, .5);
}

.btn-edition.disabled,.btn-edition:disabled{
    color:#fff;
    background-color:#36C31F;
    border-color:#105482;
}

/* botão que volta para o topo */
.btnTopo {        
    position: fixed;
    z-index: 99999;
    bottom: 44px;
    right: 20px;
    width: 50px;
    height: 50px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    border-radius: 50%;
    border: 1px solid #c3c3c3;
    background: #105482;
    text-align: center;
    text-decoration: none;
    transition: background-color .3s, opacity .5s, visibility .5s;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.btnTopo,
.btnTopo i,
.btnTopo .bi {
    color: #fff;
}

#icon-chevron,
#icon-chevron::before {
    color: #fff !important;
}

.btnTopo.show {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    cursor: pointer;
}

.bi::before{
    
    font-weight: bold;
    font-size: 1.4rem;
}

.btnTopo:hover{
    cursor: pointer;
    background: #0b3d5c;
    border-color: #ffffff;
    box-shadow: 0 0 0 1px rgba(255, 255, 255, .35),
    0 0 8px rgba(16, 84, 130, .55),
    0 0 18px rgba(16, 84, 130, .35),
    inset 0 0 18px rgba(255, 255, 255, .08);
  }
